## org.eclipse.jst.jsf.common.internal.finder.matcher
Class TaglibJarEntryFinder

    java.lang.Object
      org.eclipse.jst.jsf.common.internal.strategy.AbstractIdentifiableStrategy<INPUT,OUTPUT,java.lang.String>
          org.eclipse.jst.jsf.common.internal.finder.matcher.TaglibFinder<java.util.jar.JarEntry,java.util.jar.JarEntry>
              org.eclipse.jst.jsf.common.internal.finder.matcher.TaglibJarEntryFinder

All Implemented Interfaces:
  org.eclipse.jst.jsf.common.internal.finder.AbstractMatcher.IMatcher, org.eclipse.jst.jsf.common.internal.policy.IIdentifiable<java.lang.String>, org.eclipse.jst.jsf.common.internal.strategy.IIdentifiableStrategy<java.util.jar.JarEntry,java.util.jar.JarEntry,java.lang.String>, org.eclipse.jst.jsf.common.internal.strategy.ISimpleStrategy<java.util.jar.JarEntry,java.util.jar.JarEntry>

    public class TaglibJarEntryFinder

extends TaglibFinder<java.util.jar.JarEntry,java.util.jar.JarEntry>
implements org.eclipse.jst.jsf.common.internal.finder.AbstractMatcher.IMatcher

Field Summary
`static java.lang.String` `ID` Unique id of this strategy.

Constructor Summary
`TaglibJarEntryFinder(java.util.regex.Pattern pattern)`

Method Summary
`boolean` `matches(java.lang.Object matchThis)`
`java.util.jar.JarEntry` `perform(java.util.jar.JarEntry input)` Perform the algorithm on input and return OUTPUT.

Methods inherited from class org.eclipse.jst.jsf.common.internal.strategy.AbstractIdentifiableStrategy
`getDisplayName, getId, getNoResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  Unique id of this strategy.

Constructor Detail

### TaglibJarEntryFinder

    public TaglibJarEntryFinder(java.util.regex.Pattern pattern)

Parameters:
  `pattern` -

Method Detail

### perform

    public java.util.jar.JarEntry perform(java.util.jar.JarEntry input)
                                   throws java.lang.Exception

  Description copied from interface: `org.eclipse.jst.jsf.common.internal.strategy.ISimpleStrategy`
  Perform the algorithm on input and return OUTPUT. This type of operation should avoid side-effects, but may throw exceptions.

  Specified by:
    `perform` in interface `org.eclipse.jst.jsf.common.internal.strategy.ISimpleStrategy<java.util.jar.JarEntry,java.util.jar.JarEntry>`
  Specified by:
    `perform` in class `TaglibFinder<java.util.jar.JarEntry,java.util.jar.JarEntry>`
  Returns:
    the result of the strategy algorithm
  Throws:
    `java.lang.Exception` - implementers should narrow what exceptions are thrown.

### matches

    public boolean matches(java.lang.Object matchThis)

  Specified by:
    `matches` in interface `org.eclipse.jst.jsf.common.internal.finder.AbstractMatcher.IMatcher`
  Returns:
    true if T matches the expected critieria